Skip to main content
GET
/
v1
/
crypto
/
binance
/
perp
/
usdt
/
kline
Binance perpetual USDT Kline data
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/crypto/binance/perp/usdt/kline \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "price_close": 123,
      "price_high": 123,
      "price_low": 123,
      "price_open": 123,
      "time_close": "<string>",
      "time_open": "<string>",
      "volume": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Crypto token symbol, ex: BTC, ETH, SOL

start_time
integer
required

Start time (Unix timestamp in seconds, must be > 0)

end_time
integer
required

End time (Unix timestamp in seconds, must be > start_time)

interval
enum<string>
required

Time interval for K-line data

Available options:
1min,
2min,
3min,
5min,
10min,
15min,
30min,
45min,
1h,
2h,
4h,
6h,
8h,
12h,
1d,
3d,
1w,
1m,
3m,
6m
limit
integer

Maximum number of data points to return (default 500, max 10000)

Response

Successfully retrieved K-line data

data
object[]
error
object
pagination
any
request_id
string
success
boolean